package demo;

import java.awt.*;
import java.awt.event.*;

import javax.swing.*;
import com.japisoft.findreplace.*;

/**
 * Here a simple usage of the FindReplacePanel. We have created a menu for opening
 * a dialog box or for searching the next one without using showing the dialog box
 * @author (c) 2004 JAPISoft / http://www.japisoft.com
 * @version 1.0
 */
public class Demo {

    private JTextArea area = new JTextArea();
    private JDialog findReplace = null;
    private FindReplacePanel panel = null;

    public Demo() {

  	JFrame frame = new JFrame();
	frame.getContentPane().add( new JScrollPane( area ), BorderLayout.CENTER );
	frame.setSize( 400 ,400 );
	findReplace = new JDialog( frame );
	findReplace.setTitle( "Find/Replace" );
	findReplace.getContentPane().add( panel = new FindReplacePanel( area ) );
	findReplace.setSize( 300, 400 );

	// Here a text sample
	area.setText( "motif aa abc abc\naa test text1 text2\ncontent for demo" );
    
	JMenu menu1 = new JMenu( "Edit" );
	JMenuItem item = null;
	menu1.add( item = new JMenuItem( "Find/Replace..." ) );
	// Show the find/replace dialog
	item.addActionListener( new ActionListener() {
		public void actionPerformed( ActionEvent e ) {
		    findReplace.setVisible( true );
		}
	    });
	// Repeat the last find
	menu1.add( item = new JMenuItem( "Find Next" ) );
	item.addActionListener( new ActionListener() {
		public void actionPerformed( ActionEvent e ) {
		    boolean ok = panel.find();
		    if ( !ok ) 
			JOptionPane.showMessageDialog( panel, "No text found" );
		}
	    } );
	JMenuBar mb = new JMenuBar();
	mb.add( menu1 );

	frame.setJMenuBar( mb );
	frame.setVisible( true );
    }
  
    public static void main( String[] args ) {
	try {
	    UIManager.setLookAndFeel( UIManager.getSystemLookAndFeelClassName() );
	} catch( Exception exc ) {
	}

	new Demo();
    }
}
